| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_CAN_AF_LUT_T Struct Reference
IP: CAN register block and driver

## Detailed Description

Acceptance Filter Section Table structure.

Definition at line 719 of file can_001.h.

`#include "can_001.h"`

## Data Fields
IP_CAN_STD_ID_Entry_T * | FullCANSec
uint16_t | FullCANEntryNum
IP_CAN_STD_ID_Entry_T * | SffSec
uint16_t | SffEntryNum
IP_CAN_STD_ID_RANGE_Entry_T * | SffGrpSec
uint16_t | SffGrpEntryNum
IP_CAN_EXT_ID_Entry_T * | EffSec
uint16_t | EffEntryNum
IP_CAN_EXT_ID_RANGE_Entry_T * | EffGrpSec
uint16_t | EffGrpEntryNum

## Field Documentation

uint16_t EffEntryNum

Extended ID Entry Number

Definition at line 727 of file can_001.h.

uint16_t EffGrpEntryNum

Group Extended ID Entry Number

Definition at line 729 of file can_001.h.

IP_CAN_EXT_ID_RANGE_Entry_T* EffGrpSec

The pointer to Group Extended ID Section

Definition at line 728 of file can_001.h.

IP_CAN_EXT_ID_Entry_T* EffSec

The pointer to Extended ID Section

Definition at line 726 of file can_001.h.

uint16_t FullCANEntryNum

FullCAN Entry Number

Definition at line 721 of file can_001.h.

IP_CAN_STD_ID_Entry_T* FullCANSec

The pointer to fullCAN section

Definition at line 720 of file can_001.h.

uint16_t SffEntryNum

Standard ID Entry Number

Definition at line 723 of file can_001.h.

uint16_t SffGrpEntryNum

Group Standard ID Entry Number

Definition at line 725 of file can_001.h.

IP_CAN_STD_ID_RANGE_Entry_T* SffGrpSec

The pointer to Group Standard ID Section

Definition at line 724 of file can_001.h.

IP_CAN_STD_ID_Entry_T* SffSec

The pointer to individual Standard ID Section

Definition at line 722 of file can_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/can_001.h